## API Report File for "@genesislcap/foundation-testing"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import * as assert from 'uvu/assert';
import { Constructable } from '@microsoft/fast-element';
import { Container } from '@microsoft/fast-foundation';
import { DesignSystem } from '@microsoft/fast-foundation';
import { ExecutionContext } from '@microsoft/fast-element';
import type { FoundationElement } from '@microsoft/fast-foundation';
import { FoundationElementDefinition } from '@microsoft/fast-foundation';
import { FoundationElementRegistry } from '@microsoft/fast-foundation';
import { HTMLView } from '@microsoft/fast-element';
import { Logger } from '@genesislcap/foundation-utils';
import { Registration } from '@microsoft/fast-foundation';
import { suite as suite_2 } from 'uvu';
import { test as test_2 } from 'uvu';
import { uvu } from 'uvu';
import { ViewTemplate } from '@microsoft/fast-element';

export { assert }

// @public
export interface ComponentContext<TElement = HTMLElement> extends Pick<Fixture<TElement>, 'element' | 'disconnect'> {
    // (undocumented)
    container: Container;
    // (undocumented)
    designSystem: DesignSystem;
}

// @public
export function createComponentSuite<TElement = HTMLElement>(title: string, elementNameOrGetter: string | ElementGetter, context?: ComponentContext<TElement>, registrations?: Registration<any>[]): uvu.Test<ComponentContext<TElement>>;

// @public
export function createLogicSuite<TContext = LogicContext>(title: string, context?: TContext): uvu.Test<TContext>;

// @public (undocumented)
export type ElementGetter = () => FoundationElementRegistry<FoundationElementDefinition, FoundationElement>;

// @public
export interface Fixture<TElement = HTMLElement> {
    connect(): Promise<void>;
    disconnect(): Promise<void>;
    document: Document;
    element: TElement;
    parent: HTMLElement;
    template: ViewTemplate;
    view: HTMLView;
}

// @public
export function fixture<TElement = HTMLElement>(templateNameOrRegistry: ViewTemplate | string | FoundationElementRegistry<FoundationElementDefinition, Constructable<TElement>> | [
FoundationElementRegistry<FoundationElementDefinition, Constructable<TElement>>,
...FoundationElementRegistry<FoundationElementDefinition, Constructable>[]
], options?: FixtureOptions): Promise<Fixture<TElement>>;

// @public
export interface FixtureOptions {
    context?: ExecutionContext;
    designSystem?: DesignSystem;
    document?: Document;
    parent?: HTMLElement;
    source?: any;
}

// @public
export const logger: Logger;

// @public
export interface LogicContext {
    // (undocumented)
    runCases?(fn: (value: any) => any, cases: [any, any, assert.Message?][]): void;
}

export { Registration }

export { suite_2 as suite }

export { test_2 as test }

export { uvu }

// (No @packageDocumentation comment for this package)

```
